## com.puppycrawl.tools.checkstyle.checks.whitespace
Class MethodParamPadCheck

    java.lang.Object
      com.puppycrawl.tools.checkstyle.api.AutomaticBean
          com.puppycrawl.tools.checkstyle.api.AbstractViolationReporter
              com.puppycrawl.tools.checkstyle.api.Check
                  com.puppycrawl.tools.checkstyle.checks.AbstractOptionCheck
                      com.puppycrawl.tools.checkstyle.checks.whitespace.MethodParamPadCheck

All Implemented Interfaces:
  Configurable, Contextualizable

    public class MethodParamPadCheck

extends AbstractOptionCheck

Checks the padding between the identifier of a method definition, constructor definition, method call, or constructor invocation; and the left parenthesis of the parameter list. That is, if the identifier and left parenthesis are on the same line, checks whether a space is required immediately after the identifier or such a space is forbidden. If they are not on the same line, reports an error, unless configured to allow line breaks.

By default the check will check the following tokens: `CTOR_DEF`, `LITERAL_NEW`, `METHOD_CALL`, `METHOD_DEF`, `SUPER_CTOR_CALL`.

An example of how to configure the check is:

     <module name="MethodParamPad"/>

An example of how to configure the check to require a space after the identifier of a method definition, except if the left parenthesis occurs on a new line, is:

     <module name="MethodParamPad">
         <property name="tokens" value="METHOD_DEF"/>
         <property name="option" value="space"/>
         <property name="allowLineBreaks" value="true"/>
     </module>

Version:
  1.0
Author:
  Rick Giles

Constructor Summary
`MethodParamPadCheck()` Sets the pad otion to nospace.

Method Summary
`int[]` `getDefaultTokens()` Returns the default token a check is interested in.
`void` `setAllowLineBreaks(boolean aAllowLineBreaks)` Control whether whitespace is flagged at linebreaks.
`void` `visitToken(DetailAST aAST)` Called to process a token.

Methods inherited from class com.puppycrawl.tools.checkstyle.checks.AbstractOptionCheck
`getAbstractOption, setOption`

Methods inherited from class com.puppycrawl.tools.checkstyle.api.Check
`beginTree, destroy, finishTree, getAcceptableTokens, getClassLoader, getFileContents, getLines, getRequiredTokens, getTabWidth, getTokenNames, init, leaveToken, log, log, setClassLoader, setFileContents, setMessages, setTabWidth, setTokens`

Methods inherited from class com.puppycrawl.tools.checkstyle.api.AbstractViolationReporter
`getId, getMessageBundle, getSeverity, getSeverityLevel, log, log, log, log, log, log, log, log, log, setId, setSeverity`

Methods inherited from class com.puppycrawl.tools.checkstyle.api.AutomaticBean
`configure, contextualize, finishLocalSetup, getConfiguration, setupChild`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MethodParamPadCheck

    public MethodParamPadCheck()

  Sets the pad otion to nospace.

Method Detail

### getDefaultTokens

    public int[] getDefaultTokens()

  Returns the default token a check is interested in. Only used if the configuration for a check does not define the tokens.

  Specified by:
    `getDefaultTokens` in class `Check`
  Returns:
    the default tokens
  See Also:
    `TokenTypes`

### visitToken

    public void visitToken(DetailAST aAST)

  Called to process a token.

  Overrides:
    `visitToken` in class `Check`
  Parameters:
    `aAST` - the token to process

### setAllowLineBreaks

    public void setAllowLineBreaks(boolean aAllowLineBreaks)

  Control whether whitespace is flagged at linebreaks.

  Parameters:
    `aAllowLineBreaks` - whether whitespace should be flagged at linebreaks.

Back to the Checkstyle Home Page